/***************************************************************
 * Name:      calc2Main.h
 * Purpose:   Defines Application Frame
 * Author:     ()
 * Created:   2014-06-23
 * Copyright:  ()
 * License:
 **************************************************************/

#ifndef CALC2MAIN_H
#define CALC2MAIN_H

//(*Headers(calc2Frame)
#include <wx/stattext.h>
#include <wx/menu.h>
#include <wx/textctrl.h>
#include <wx/button.h>
#include <wx/frame.h>
//*)

#define YesWindows 0
#define DEBUG 0
#define NFLOAT 1



class calc2Frame: public wxFrame
{
    public:

        calc2Frame(wxWindow* parent,wxWindowID id = -1);
        virtual ~calc2Frame();

    private:

        void insertar(int num);
        void calcular(void);

        void LogEvent( wxKeyEvent& event);

        //(*Handlers(calc2Frame)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void b0(wxCommandEvent& event);
        void b1(wxCommandEvent& event);
        void b4(wxCommandEvent& event);
        void b7(wxCommandEvent& event);
        void b8(wxCommandEvent& event);
        void b5(wxCommandEvent& event);
        void b2(wxCommandEvent& event);
        void b9(wxCommandEvent& event);
        void b6(wxCommandEvent& event);
        void b3(wxCommandEvent& event);
        void bigual(wxCommandEvent& event);
        void bmas(wxCommandEvent& event);
        void bmenos(wxCommandEvent& event);
        void bAC(wxCommandEvent& event);
        void bC(wxCommandEvent& event);
        void bpor(wxCommandEvent& event);
        void bdiv(wxCommandEvent& event);
        void b100(wxCommandEvent& event);
        void braiz(wxCommandEvent& event);
        void mmas(wxCommandEvent& event);
        void mmenos(wxCommandEvent& event);
        void mmemo(wxCommandEvent& event);
        void mclear(wxCommandEvent& event);
        void bcoma(wxCommandEvent& event);
        //*)

        //(*Identifiers(calc2Frame)
        static const long ID_BUTTON2;
        static const long ID_BUTTON11;
        static const long ID_BUTTON10;
        static const long ID_BUTTON9;
        static const long ID_BUTTON14;
        static const long ID_BUTTON15;
        static const long ID_BUTTON16;
        static const long ID_BUTTON13;
        static const long ID_BUTTON17;
        static const long ID_BUTTON19;
        static const long ID_BUTTON20;
        static const long ID_BUTTON21;
        static const long ID_BUTTON24;
        static const long ID_BUTTON25;
        static const long ID_BUTTON23;
        static const long ID_BUTTON22;
        static const long ID_BUTTON18;
        static const long ID_BUTTON8;
        static const long ID_BUTTON12;
        static const long ID_BUTTON7;
        static const long ID_BUTTON6;
        static const long ID_BUTTON4;
        static const long ID_BUTTON5;
        static const long ID_BUTTON3;
        static const long ID_BUTTON1;
        static const long ID_TEXTCTRL1;
        static const long ID_TEXTCTRL2;
        static const long ID_STATICTEXT1;
        static const long idMenuQuit;
        static const long idMenuAbout;
        //*)

        //(*Declarations(calc2Frame)
        wxButton* Button20;
        wxButton* Button4;
        wxButton* Button1;
        wxButton* Button14;
        wxStaticText* StaticText1;
        wxButton* Button22;
        wxButton* Button2;
        wxButton* Button23;
        wxButton* Button6;
        wxButton* Button10;
        wxButton* Button11;
        wxButton* Button5;
        wxButton* Button3;
        wxButton* Button7;
        wxButton* Button25;
        wxButton* Button19;
        wxButton* Button9;
        wxTextCtrl* TextCtrl2;
        wxTextCtrl* TextCtrl1;
        wxButton* Button21;
        wxButton* Button17;
        wxButton* Button18;
        wxButton* Button15;
        wxButton* Button13;
        wxButton* Button16;
        wxButton* Button24;
        wxButton* Button8;
        wxButton* Button12;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // CALC2MAIN_H
