/***************************************************************
 * Name:      calc2Main.cpp
 * Purpose:   Code for Application Frame
 * Author:     ()
 * Created:   2014-06-23
 * Copyright:  ()
 * License:
 **************************************************************/

#include "calc2Main.h"
#include <wx/msgdlg.h>

//(*InternalHeaders(calc2Frame)
#include <wx/settings.h>
#include <wx/font.h>
#include <wx/intl.h>
#include <wx/string.h>
//*)

//helper functions
enum wxbuildinfoformat {
    short_f, long_f };

wxString wxbuildinfo(wxbuildinfoformat format)
{
    wxString wxbuild(wxVERSION_STRING);

    if (format == long_f )
    {
#if defined(__WXMSW__)
        wxbuild << _T("-Windows");
#elif defined(__UNIX__)
        wxbuild << _T("-Linux");
#endif

#if wxUSE_UNICODE
        wxbuild << _T("-Unicode build");
#else
        wxbuild << _T("-ANSI build");
#endif // wxUSE_UNICODE
    }

    return wxbuild;
}


#if NFLOAT
double dato1=0,dato2=0,memoria=0;
#else
long long dato1=0,dato2=0,memoria=0;
#endif

int bandera1=0,bandera2=0;
int digito=1;
int coma=0;

int error=0;

int operacion;

wxString msg;




//(*IdInit(calc2Frame)
const long calc2Frame::ID_BUTTON2 = wxNewId();
const long calc2Frame::ID_BUTTON11 = wxNewId();
const long calc2Frame::ID_BUTTON10 = wxNewId();
const long calc2Frame::ID_BUTTON9 = wxNewId();
const long calc2Frame::ID_BUTTON14 = wxNewId();
const long calc2Frame::ID_BUTTON15 = wxNewId();
const long calc2Frame::ID_BUTTON16 = wxNewId();
const long calc2Frame::ID_BUTTON13 = wxNewId();
const long calc2Frame::ID_BUTTON17 = wxNewId();
const long calc2Frame::ID_BUTTON19 = wxNewId();
const long calc2Frame::ID_BUTTON20 = wxNewId();
const long calc2Frame::ID_BUTTON21 = wxNewId();
const long calc2Frame::ID_BUTTON24 = wxNewId();
const long calc2Frame::ID_BUTTON25 = wxNewId();
const long calc2Frame::ID_BUTTON23 = wxNewId();
const long calc2Frame::ID_BUTTON22 = wxNewId();
const long calc2Frame::ID_BUTTON18 = wxNewId();
const long calc2Frame::ID_BUTTON8 = wxNewId();
const long calc2Frame::ID_BUTTON12 = wxNewId();
const long calc2Frame::ID_BUTTON7 = wxNewId();
const long calc2Frame::ID_BUTTON6 = wxNewId();
const long calc2Frame::ID_BUTTON4 = wxNewId();
const long calc2Frame::ID_BUTTON5 = wxNewId();
const long calc2Frame::ID_BUTTON3 = wxNewId();
const long calc2Frame::ID_BUTTON1 = wxNewId();
const long calc2Frame::ID_TEXTCTRL1 = wxNewId();
const long calc2Frame::ID_TEXTCTRL2 = wxNewId();
const long calc2Frame::ID_STATICTEXT1 = wxNewId();
const long calc2Frame::idMenuQuit = wxNewId();
const long calc2Frame::idMenuAbout = wxNewId();
//*)

BEGIN_EVENT_TABLE(calc2Frame,wxFrame)
    //(*EventTable(calc2Frame)
    //*)
END_EVENT_TABLE()

calc2Frame::calc2Frame(wxWindow* parent,wxWindowID id)
{
    //(*Initialize(calc2Frame)
    wxMenuItem* MenuItem2;
    wxMenuItem* MenuItem1;
    wxMenu* Menu1;
    wxMenuBar* MenuBar1;
    wxMenu* Menu2;

    Create(parent, wxID_ANY, _("MiCalc"), wxDefaultPosition, wxDefaultSize, wxDEFAULT_FRAME_STYLE, _T("wxID_ANY"));
    SetClientSize(wxSize(213,310));
    SetMinSize(wxSize(213,310));
    SetMaxSize(wxSize(213,310));
    Button2 = new wxButton(this, ID_BUTTON2, _("7"), wxPoint(8,120), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON2"));
    Button11 = new wxButton(this, ID_BUTTON11, _("5"), wxPoint(48,160), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON11"));
    Button10 = new wxButton(this, ID_BUTTON10, _("3"), wxPoint(88,200), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON10"));
    Button9 = new wxButton(this, ID_BUTTON9, _("6"), wxPoint(88,160), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON9"));
    Button14 = new wxButton(this, ID_BUTTON14, _("9"), wxPoint(88,120), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON14"));
    Button15 = new wxButton(this, ID_BUTTON15, _("+"), wxPoint(128,240), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON15"));
    Button16 = new wxButton(this, ID_BUTTON16, _("AC"), wxPoint(168,240), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON16"));
    Button16->SetFocus();
    Button16->SetBackgroundColour(wxSystemSettings::GetColour(wxSYS_COLOUR_INFOBK));
    Button13 = new wxButton(this, ID_BUTTON13, _("C"), wxPoint(168,200), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON13"));
    Button13->SetBackgroundColour(wxSystemSettings::GetColour(wxSYS_COLOUR_INFOBK));
    Button17 = new wxButton(this, ID_BUTTON17, _("-"), wxPoint(128,200), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON17"));
    Button19 = new wxButton(this, ID_BUTTON19, _("/"), wxPoint(128,120), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON19"));
    Button20 = new wxButton(this, ID_BUTTON20, _("%"), wxPoint(168,160), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON20"));
    Button21 = new wxButton(this, ID_BUTTON21, _("raiz"), wxPoint(168,120), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON21"));
    Button24 = new wxButton(this, ID_BUTTON24, _("MR"), wxPoint(88,80), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON24"));
    Button25 = new wxButton(this, ID_BUTTON25, _("MRC"), wxPoint(48,80), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON25"));
    Button23 = new wxButton(this, ID_BUTTON23, _("OFF"), wxPoint(8,80), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON23"));
    Button22 = new wxButton(this, ID_BUTTON22, _("M+"), wxPoint(128,80), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON22"));
    Button18 = new wxButton(this, ID_BUTTON18, _("M-"), wxPoint(168,80), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON18"));
    Button8 = new wxButton(this, ID_BUTTON8, _("X"), wxPoint(128,160), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON8"));
    Button12 = new wxButton(this, ID_BUTTON12, _("."), wxPoint(48,240), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON12"));
    Button7 = new wxButton(this, ID_BUTTON7, _("="), wxPoint(88,240), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON7"));
    Button6 = new wxButton(this, ID_BUTTON6, _("2"), wxPoint(48,200), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON6"));
    Button4 = new wxButton(this, ID_BUTTON4, _("8"), wxPoint(48,120), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON4"));
    Button5 = new wxButton(this, ID_BUTTON5, _("0"), wxPoint(8,240), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON5"));
    Button3 = new wxButton(this, ID_BUTTON3, _("1"), wxPoint(8,200), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON3"));
    Button1 = new wxButton(this, ID_BUTTON1, _("4"), wxPoint(8,160), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON1"));
    TextCtrl1 = new wxTextCtrl(this, ID_TEXTCTRL1, _("0"), wxPoint(8,8), wxSize(200,40), wxTE_READONLY|wxTE_RIGHT, wxDefaultValidator, _T("ID_TEXTCTRL1"));
    wxFont TextCtrl1Font(17,wxTELETYPE,wxFONTSTYLE_NORMAL,wxBOLD,false,_T("Courier 10 Pitch"),wxFONTENCODING_DEFAULT);
    TextCtrl1->SetFont(TextCtrl1Font);
    TextCtrl2 = new wxTextCtrl(this, ID_TEXTCTRL2, _("0"), wxPoint(64,56), wxSize(144,24), wxTE_READONLY|wxTE_RIGHT, wxDefaultValidator, _T("ID_TEXTCTRL2"));
    wxFont TextCtrl2Font(8,wxSWISS,wxFONTSTYLE_NORMAL,wxNORMAL,false,_T("Sans"),wxFONTENCODING_DEFAULT);
    TextCtrl2->SetFont(TextCtrl2Font);
    StaticText1 = new wxStaticText(this, ID_STATICTEXT1, _("Memoria"), wxPoint(8,56), wxSize(54,22), 0, _T("ID_STATICTEXT1"));
    MenuBar1 = new wxMenuBar();
    Menu1 = new wxMenu();
    MenuItem1 = new wxMenuItem(Menu1, idMenuQuit, _("Salir\tAlt-F4"), _("Salir de aplicación"), wxITEM_NORMAL);
    Menu1->Append(MenuItem1);
    MenuBar1->Append(Menu1, _("&Menú"));
    Menu2 = new wxMenu();
    MenuItem2 = new wxMenuItem(Menu2, idMenuAbout, _("Acerca\tF1"), _("Acerca de la aplicación"), wxITEM_NORMAL);
    Menu2->Append(MenuItem2);
    MenuBar1->Append(Menu2, _("Ayuda"));
    SetMenuBar(MenuBar1);

    Connect(ID_BUTTON2,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b7);
    Connect(ID_BUTTON11,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b5);
    Connect(ID_BUTTON10,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b3);
    Connect(ID_BUTTON9,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b6);
    Connect(ID_BUTTON14,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b9);
    Connect(ID_BUTTON15,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bmas);
    Connect(ID_BUTTON16,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bAC);
    Connect(ID_BUTTON13,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bC);
    Connect(ID_BUTTON17,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bmenos);
    Connect(ID_BUTTON19,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bdiv);
    Connect(ID_BUTTON20,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b100);
    Connect(ID_BUTTON21,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::braiz);
    Connect(ID_BUTTON24,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::mmemo);
    Connect(ID_BUTTON25,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::mclear);
    Connect(ID_BUTTON23,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::OnQuit);
    Connect(ID_BUTTON22,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::mmas);
    Connect(ID_BUTTON18,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::mmenos);
    Connect(ID_BUTTON8,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bpor);
    Connect(ID_BUTTON12,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bcoma);
    Connect(ID_BUTTON7,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bigual);
    Connect(ID_BUTTON6,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b2);
    Connect(ID_BUTTON4,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b8);
    Connect(ID_BUTTON5,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b0);
    Connect(ID_BUTTON3,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b1);
    Connect(ID_BUTTON1,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b4);
    Connect(idMenuQuit,wxEVT_COMMAND_MENU_SELECTED,(wxObjectEventFunction)&calc2Frame::OnQuit);
    Connect(idMenuAbout,wxEVT_COMMAND_MENU_SELECTED,(wxObjectEventFunction)&calc2Frame::OnAbout);

     this->Connect(wxEVT_KEY_UP, wxKeyEventHandler(calc2Frame::LogEvent));
    //*)
}

calc2Frame::~calc2Frame()
{
    //(*Destroy(calc2Frame)
    //*)
}

void calc2Frame::OnQuit(wxCommandEvent& event)
{
    Close();
}

void calc2Frame::OnAbout(wxCommandEvent& event)
{
    wxString msg = wxbuildinfo(long_f);
    wxMessageBox(msg, _("Welcome to..."));
}

void calc2Frame::b0(wxCommandEvent& event)
{
    insertar(0);
}

void calc2Frame::b1(wxCommandEvent& event)
{
    insertar(1);
}

void calc2Frame::b4(wxCommandEvent& event)
{
    insertar(4);
}

void calc2Frame::b7(wxCommandEvent& event)
{
    insertar(7);
}

void calc2Frame::b8(wxCommandEvent& event)
{
    insertar(8);
}

void calc2Frame::b5(wxCommandEvent& event)
{
    insertar(5);
}

void calc2Frame::b2(wxCommandEvent& event)
{
    insertar(2);
}

void calc2Frame::b9(wxCommandEvent& event)
{
    insertar(9);
}

void calc2Frame::b6(wxCommandEvent& event)
{
    insertar(6);
}

void calc2Frame::b3(wxCommandEvent& event)
{
    insertar(3);
}

void calc2Frame::bigual(wxCommandEvent& event)
{
    if(DEBUG)printf("=\n");
    calcular();
    bandera2=0;
    operacion=0;
}

void calc2Frame::bmas(wxCommandEvent& event)
{
    calcular();
    operacion=1;
    dato2=dato1;
    bandera2=1;
    digito=1;
    coma=0;
    dato1=0;
}

void calc2Frame::bmenos(wxCommandEvent& event)
{
    calcular();
    operacion=2;
    dato2=dato1;
    bandera2=1;
    digito=1;
    coma=0;
    dato1=0;
}

void calc2Frame::bAC(wxCommandEvent& event)
{
    operacion=0;
    digito=1;
    coma=0;
    dato1=0;
    dato2=0;
    bandera1=0;
    bandera2=0;
    error=0;

    msg.Printf(wxT("%d"),dato1);
    TextCtrl1->SetValue(msg);
#if YesWindows
                    this->SetFocus();
#else
		            Button7->SetFocus();
#endif
}

void calc2Frame::bC(wxCommandEvent& event)
{
    digito=1;
    coma=0;
    dato1=0;
    bandera1=0;
    msg.Printf(wxT("%d"),dato1);
    TextCtrl1->SetValue(msg);
#if YesWindows
                    this->SetFocus();
#else
		            Button7->SetFocus();
#endif
}

void calc2Frame::bpor(wxCommandEvent& event)
{
    calcular();
    operacion=3;
    dato2=dato1;
    bandera2=1;
    digito=1;
    coma=0;
    dato1=0;

}

void calc2Frame::bdiv(wxCommandEvent& event)
{
    calcular();
    operacion=4;
    dato2=dato1;
    bandera2=1;
    digito=1;
    coma=0;
    dato1=0;
}

void calc2Frame::b100(wxCommandEvent& event)
{
     if(DEBUG)printf("TantoPorciento\n");

    calcular();
    operacion=6;
    dato2=dato1;
    bandera2=1;
    digito=1;
    coma=0;
    dato1=0;
}

void calc2Frame::braiz(wxCommandEvent& event)
{
     if(DEBUG)printf("Raiz\n");
    dato1=sqrt(dato1);
#if NFLOAT
    msg.Printf(wxT("%.2f"),dato1);
#else
    msg.Printf(wxT("%lli"),dato1);
#endif
    TextCtrl1->SetValue(msg);

    dato2=0;
    bandera2=0;
#if YesWindows
                    this->SetFocus();
#else
		            Button7->SetFocus();
#endif
}

void calc2Frame::mmas(wxCommandEvent& event)
{
    memoria+=dato1;
    operacion=0;
    dato2=0;
    bandera2=0;
#if NFLOAT
    msg.Printf(wxT("%.2f"),memoria);
#else
    msg.Printf(wxT("%lli"),memoria);
#endif
    TextCtrl2->SetValue(msg);
#if YesWindows
                    this->SetFocus();
#else
		            Button7->SetFocus();
#endif
}

void calc2Frame::mmenos(wxCommandEvent& event)
{
    memoria-=dato1;
    operacion=0;
    dato2=0;
    bandera2=0;
#if NFLOAT
    msg.Printf(wxT("%.2f"),memoria);
#else
    msg.Printf(wxT("%lli"),memoria);
#endif
    TextCtrl2->SetValue(msg);
#if YesWindows
                    this->SetFocus();
#else
		            Button7->SetFocus();
#endif
}

void calc2Frame::mmemo(wxCommandEvent& event)
{
    dato1=memoria;
#if NFLOAT
    msg.Printf(wxT("%.2f"),memoria);
#else
    msg.Printf(wxT("%lli"),memoria);
#endif
    TextCtrl1->SetValue(msg);
#if YesWindows
                    this->SetFocus();
#else
		            Button7->SetFocus();
#endif
}

void calc2Frame::mclear(wxCommandEvent& event)
{
    memoria=0;
#if NFLOAT
    msg.Printf(wxT("%.2f"),memoria);
#else
    msg.Printf(wxT("%lli"),memoria);
#endif
    TextCtrl2->SetValue(msg);
#if YesWindows
                    this->SetFocus();
#else
		            Button7->SetFocus();
#endif
}

void calc2Frame::bcoma(wxCommandEvent& event)
{
    coma=1;
    digito=10;
}


void calc2Frame::calcular(void)
{
    if(bandera1==1 && bandera2==1)
    {
        switch (operacion)
        {
            //suma
        case 1:
            dato1+=dato2;
            break;
            //resta
        case 2:
            dato1=dato2-dato1;
            break;
            //X
        case 3:
            dato1=dato2*dato1;
            break;
            //- /
        case 4:
            if(dato1==0)
            {
                error=1;
                break;
            }
            dato1=dato2/dato1;
            break;
            // raiz
        case 5:
            dato1=sqrt(dato1);
            break;
            // %
        case 6:
            dato1=(dato1*dato2)/100;
            break;

        }

    }
    if(error==0)
#if NFLOAT
        msg.Printf(wxT("%.2f"),dato1);
#else
        msg.Printf(wxT("%lli"),dato1);
#endif
    else
        msg.Printf(wxT("Error"));
    TextCtrl1->SetValue(msg);
#if YesWindows
                    this->SetFocus();
#else
		            Button7->SetFocus();
#endif
}


void calc2Frame::insertar(int num)
{
    float z;
    if(error==0)
    {
        if(coma==0)
        {
            dato1*=digito;
            dato1+=num;
            digito=10;
            bandera1=1;
        }
        else
        {
            //printf("num=%d   digito=%d\n",num,digito);
            z=num;
            z=z/digito;
            if(digito<101)dato1+=z;
            digito*=10;
        }
        if(DEBUG)printf("dato1=%f\n",dato1);
#if NFLOAT
        msg.Printf(wxT("%.2f"),dato1);
#else
        msg.Printf(wxT("%lli"),dato1);
#endif
        TextCtrl1->SetValue(msg);

        //Button7->SetFocus();
    }
#if YesWindows
                    this->SetFocus();
#else
		            Button7->SetFocus();
#endif
}




void calc2Frame::LogEvent(wxKeyEvent& event)
{
    wxString key;
    wxCommandEvent event1;

    long keycode = event.GetKeyCode();
    const wxChar u = event.GetUnicodeKey();

    if(DEBUG)    printf(" tecla %u Caracter-> %c\n",u,(unsigned char)keycode);

    switch ( keycode )
    {
    case 8:
        bAC(event1);
        break; //<-
    case 13:
        bigual(event1);
        break;	//enter
    case 43:
        bmas(event1);
        break;	//+
    case 45:
        bmenos(event1);
        break;	//-
    case 46:
        coma=1;
        digito=10;
        break;	//.

    case 48:
        insertar(0);
        break; //0
    case 49:
        insertar(1);
        break;
    case 50:
        insertar(2);
        break;
    case 51:
        insertar(3);
        break;
    case 52:
        insertar(4);
        break;
    case 53:
        insertar(5);
        break;
    case 54:
        insertar(6);
        break;
    case 55:
        insertar(7);
        break;
    case 56:
        insertar(8);
        break;
    case 57:
        insertar(9);
        break; //9

    case 127:
        bC(event1);
        break; //supr

    case 324:
        insertar(0);
        break; //0
    case 325:
        insertar(1);
        break;
    case 326:
        insertar(2);
        break;
    case 327:
        insertar(3);
        break;
    case 328:
        insertar(4);
        break;
    case 329:
        insertar(5);
        break;
    case 330:
        insertar(6);
        break;
    case 331:
        insertar(7);
        break;
    case 332:
        insertar(8);
        break;
    case 333:
        insertar(9);
        break; //9

    case 370:
        bigual(event1);
        break;	//enter
    case 387:
        bpor(event1);
        break;	// por
    case 388:
        bmas(event1);
        break;	//+
    case 390:
        bmenos(event1);
        break;	//-
    case 391:
        coma=1;
        digito=10;
        break;	//.
    case 392:
        bdiv(event1);
        break;	// /
    }
#if YesWindows
                    this->SetFocus();
#else
		            Button7->SetFocus();
#endif
}

