#include <wx/wx.h>

#include "define.h"


#if NFLOAT
double dato1=0,dato2=0,memoria=0;
#else
long long dato1=0,dato2=0,memoria=0;
#endif

int bandera1=0,bandera2=0;
int digito=1;
int coma=0;

int error=0;

int operacion;

wxString msg;
 

class calc2App : public wxApp
{
    public:
        virtual bool OnInit();
};


class calc2Frame: public wxFrame
{
    public:

        calc2Frame(wxWindow* parent,wxWindowID id = -1);


    private:
    

		 DECLARE_EVENT_TABLE()
	
		void LogEvent( wxKeyEvent& event);
		 
		void insertar(int num);
		void calcular(void);
		
		void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void b0() {insertar(0);}
        void b1(){insertar(1);}
        void b4(){insertar(4);}
        void b7(){insertar(7);}
        void b8(){insertar(8);}
        void b5(){insertar(5);}
        void b2(){insertar(2);}
        void b9(){insertar(9);}
        void b6(){insertar(6);}
        void b3(){insertar(3);}
        void bigual();
        //void bmas(wxCommandEvent& event);
        void bmas();
        void bmenos();
        void bAC();
        void bC();
        void bpor();
        void bdiv();
        void b100();
        void braiz();
        void mmas();
        void mmenos();
        void mmemo();
        void mclear();
         void bcoma(){coma=1; digito=10;};
        //*)

        //(*Identifiers(calc2Frame)
        static const long ID_BUTTON2;
        static const long ID_BUTTON11;
        static const long ID_BUTTON10;
        static const long ID_BUTTON9;
        static const long ID_BUTTON14;
        static const long ID_BUTTON15;
        static const long ID_BUTTON16;
        static const long ID_BUTTON13;
        static const long ID_BUTTON17;
        static const long ID_BUTTON19;
        static const long ID_BUTTON20;
        static const long ID_BUTTON21;
        static const long ID_BUTTON24;
        static const long ID_BUTTON25;
        static const long ID_BUTTON23;
        static const long ID_BUTTON22;
        static const long ID_BUTTON18;
        static const long ID_BUTTON8;
        static const long ID_BUTTON12;
        static const long ID_BUTTON7;
        static const long ID_BUTTON6;
        static const long ID_BUTTON4;
        static const long ID_BUTTON5;
        static const long ID_BUTTON3;
        static const long ID_BUTTON1;
        static const long ID_TEXTCTRL1;
        static const long idMenuQuit;
        static const long idMenuAbout;
        
        
        
        //*)

        //(*Declarations(calc2Frame)
        wxButton* Button20;
        wxButton* Button4;
        wxButton* Button1;
        wxButton* Button14;
        wxButton* Button22;
        wxButton* Button2;
        wxButton* Button23;
        wxButton* Button6;
        wxButton* Button10;
        wxButton* Button11;
        wxButton* Button5;
        wxButton* Button3;
        wxButton* Button7;
        wxButton* Button25;
        wxButton* Button19;
        wxButton* Button9;
        wxTextCtrl* TextCtrl1;
        wxButton* Button21;
        wxButton* Button17;
        wxButton* Button18;
        wxButton* Button15;
        wxButton* Button13;
        wxButton* Button16;
        wxButton* Button24;
        wxButton* Button8;
        wxButton* Button12;
        
         wxTextCtrl* TextCtrl2;
         wxStaticText* StaticText1;

};


bool calc2App::OnInit()
{
   
    	calc2Frame* Frame = new calc2Frame(0);
    	Frame->Show();
 
    return true;

}


//(*IdInit(calc2Frame)
const long calc2Frame::ID_BUTTON2 = wxNewId();
const long calc2Frame::ID_BUTTON11 = wxNewId();
const long calc2Frame::ID_BUTTON10 = wxNewId();
const long calc2Frame::ID_BUTTON9 = wxNewId();
const long calc2Frame::ID_BUTTON14 = wxNewId();
const long calc2Frame::ID_BUTTON15 = wxNewId();
const long calc2Frame::ID_BUTTON16 = wxNewId();
const long calc2Frame::ID_BUTTON13 = wxNewId();
const long calc2Frame::ID_BUTTON17 = wxNewId();
const long calc2Frame::ID_BUTTON19 = wxNewId();
const long calc2Frame::ID_BUTTON20 = wxNewId();
const long calc2Frame::ID_BUTTON21 = wxNewId();
const long calc2Frame::ID_BUTTON24 = wxNewId();
const long calc2Frame::ID_BUTTON25 = wxNewId();
const long calc2Frame::ID_BUTTON23 = wxNewId();
const long calc2Frame::ID_BUTTON22 = wxNewId();
const long calc2Frame::ID_BUTTON18 = wxNewId();
const long calc2Frame::ID_BUTTON8 = wxNewId();
const long calc2Frame::ID_BUTTON12 = wxNewId();
const long calc2Frame::ID_BUTTON7 = wxNewId();
const long calc2Frame::ID_BUTTON6 = wxNewId();
const long calc2Frame::ID_BUTTON4 = wxNewId();
const long calc2Frame::ID_BUTTON5 = wxNewId();
const long calc2Frame::ID_BUTTON3 = wxNewId();
const long calc2Frame::ID_BUTTON1 = wxNewId();
const long calc2Frame::ID_TEXTCTRL1 = wxNewId();
const long calc2Frame::idMenuQuit = wxNewId();
const long calc2Frame::idMenuAbout = wxNewId();


// Implements MiAplicacion& GetApp()
DECLARE_APP(calc2App)
// Give wxWidgets the means to create a MiAplicacion object
IMPLEMENT_APP(calc2App)


BEGIN_EVENT_TABLE(calc2Frame,wxFrame)
    // EVT_MENU(wxID_ABOUT, calc2Frame::OnAbout)
    //EVT_CHAR(calc2Frame::OnChar)
    EVT_KEY_UP(calc2Frame::LogEvent)
END_EVENT_TABLE();

calc2Frame::calc2Frame(wxWindow* parent,wxWindowID id)
{
   //(*Initialize(calc2Frame)
    wxMenuItem* MenuItem2;
    wxMenuItem* MenuItem1;
    wxMenu* Menu1;
    wxMenuBar* MenuBar1;
    wxMenu* Menu2;

    Create(parent, id, _("MiCalc"), wxDefaultPosition, wxDefaultSize, wxDEFAULT_FRAME_STYLE, _T("id"));
    SetClientSize(wxSize(297,405));
    SetMinSize(wxSize(297,405));
    SetMaxSize(wxSize(297,405));
    Button2 = new wxButton(this, ID_BUTTON2, _("7"), wxPoint(16,128), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON2"));
    Button11 = new wxButton(this, ID_BUTTON11, _("5"), wxPoint(72,184), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON11"));
    Button10 = new wxButton(this, ID_BUTTON10, _("3"), wxPoint(128,240), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON10"));
    Button9 = new wxButton(this, ID_BUTTON9, _("6"), wxPoint(128,184), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON9"));
    Button14 = new wxButton(this, ID_BUTTON14, _("9"), wxPoint(128,128), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON14"));
    Button15 = new wxButton(this, ID_BUTTON15, _("+"), wxPoint(184,296), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON15"));
    Button16 = new wxButton(this, ID_BUTTON16, _("AC"), wxPoint(240,296), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON16"));
    Button16->SetBackgroundColour(wxSystemSettings::GetColour(wxSYS_COLOUR_INFOBK));
    Button13 = new wxButton(this, ID_BUTTON13, _("C"), wxPoint(240,240), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON13"));
    Button13->SetBackgroundColour(wxSystemSettings::GetColour(wxSYS_COLOUR_INFOBK));
    Button17 = new wxButton(this, ID_BUTTON17, _("-"), wxPoint(184,240), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON17"));
    Button19 = new wxButton(this, ID_BUTTON19, _("/"), wxPoint(184,128), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON19"));
    Button20 = new wxButton(this, ID_BUTTON20, _("%"), wxPoint(240,184), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON20"));
    Button21 = new wxButton(this, ID_BUTTON21, _("raiz"), wxPoint(240,128), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON21"));
    Button24 = new wxButton(this, ID_BUTTON24, _("MR"), wxPoint(128,80), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON24"));
    Button25 = new wxButton(this, ID_BUTTON25, _("MRC"), wxPoint(72,80), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON25"));
    Button23 = new wxButton(this, ID_BUTTON23, _("OFF"), wxPoint(16,80), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON23"));
    Button22 = new wxButton(this, ID_BUTTON22, _("M+"), wxPoint(184,80), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON22"));
    Button18 = new wxButton(this, ID_BUTTON18, _("M-"), wxPoint(240,80), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON18"));
    Button8 = new wxButton(this, ID_BUTTON8, _("X"), wxPoint(184,184), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON8"));
    Button12 = new wxButton(this, ID_BUTTON12, _("."), wxPoint(72,296), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON12"));
    Button7 = new wxButton(this, ID_BUTTON7, _("="), wxPoint(128,296), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON7"));
    	Button7->SetFocus();
    Button6 = new wxButton(this, ID_BUTTON6, _("2"), wxPoint(72,240), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON6"));
    Button4 = new wxButton(this, ID_BUTTON4, _("8"), wxPoint(72,128), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON4"));
    Button5 = new wxButton(this, ID_BUTTON5, _("0"), wxPoint(16,296), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON5"));
    Button3 = new wxButton(this, ID_BUTTON3, _("1"), wxPoint(16,240), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON3"));
    Button1 = new wxButton(this, ID_BUTTON1, _("4"), wxPoint(16,184), wxSize(40,40), 0, wxDefaultValidator, _T("ID_BUTTON1"));
    TextCtrl1 = new wxTextCtrl(this, ID_TEXTCTRL1, _("0"), wxPoint(16,16), wxSize(264,40), wxTE_READONLY|wxTE_RIGHT, wxDefaultValidator, _T("ID_TEXTCTRL1"));
    wxFont TextCtrl1Font(17,wxTELETYPE,wxFONTSTYLE_NORMAL,wxBOLD,false,_T("Courier 10 Pitch"),wxFONTENCODING_DEFAULT);
    TextCtrl1->SetFont(TextCtrl1Font);
    
    TextCtrl2 = new wxTextCtrl(this, wxID_ANY,  _("0"), wxPoint(128,56), wxSize(152,24), wxTE_READONLY|wxTE_RIGHT, wxDefaultValidator, _T("ID_TEXTCTRL2"));
    wxFont TextCtrl2Font(8,wxSWISS,wxFONTSTYLE_NORMAL,wxNORMAL,false,_T("Sans"),wxFONTENCODING_DEFAULT);
    TextCtrl2->SetFont(TextCtrl2Font);
    StaticText1 = new wxStaticText(this, wxID_ANY, _("Memoria"), wxPoint(68,62), wxDefaultSize, 0, _T("ID_STATICTEXT1"));

    MenuBar1 = new wxMenuBar();
    Menu1 = new wxMenu();
    MenuItem1 = new wxMenuItem(Menu1, idMenuQuit, _("Salir\tAlt-F4"), _("Quit the application"), wxITEM_NORMAL);
    Menu1->Append(MenuItem1);
    MenuBar1->Append(Menu1, _("&Menu"));
    Menu2 = new wxMenu();
    MenuItem2 = new wxMenuItem(Menu2, idMenuAbout, _("Salir\tF1"), _("Información aplicación"), wxITEM_NORMAL);
    Menu2->Append(MenuItem2);
    MenuBar1->Append(Menu2, _("Ayuda"));
    SetMenuBar(MenuBar1);

    Connect(ID_BUTTON2,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b7);
    Connect(ID_BUTTON11,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b5);
    Connect(ID_BUTTON10,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b3);
    Connect(ID_BUTTON9,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b6);
    Connect(ID_BUTTON14,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b9);
    Connect(ID_BUTTON15,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bmas);
    Connect(ID_BUTTON16,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bAC);
    Connect(ID_BUTTON13,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bC);
    Connect(ID_BUTTON17,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bmenos);
    Connect(ID_BUTTON19,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bdiv);
    Connect(ID_BUTTON20,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b100);
    Connect(ID_BUTTON21,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::braiz);
    Connect(ID_BUTTON24,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::mmemo);
    Connect(ID_BUTTON25,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::mclear);
    Connect(ID_BUTTON23,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::OnQuit);
    Connect(ID_BUTTON18,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::mmenos);
    Connect(ID_BUTTON22,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::mmas);
    Connect(ID_BUTTON8,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bpor);
    Connect(ID_BUTTON7,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bigual);
    Connect(ID_BUTTON6,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b2);
    Connect(ID_BUTTON4,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b8);
    Connect(ID_BUTTON5,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b0);
    Connect(ID_BUTTON3,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b1);
    Connect(ID_BUTTON1,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::b4);
    Connect(idMenuQuit,wxEVT_COMMAND_MENU_SELECTED,(wxObjectEventFunction)&calc2Frame::OnQuit);
    Connect(idMenuAbout,wxEVT_COMMAND_MENU_SELECTED,(wxObjectEventFunction)&calc2Frame::OnAbout);
    Connect(ID_BUTTON12,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&calc2Frame::bcoma);
    
    //Connect(wxEVT_KEY_DOWN, wxKeyEventHandler(calc2Frame::LogEvent));
    
}


void calc2Frame::OnQuit(wxCommandEvent& event)
{
    Close();
}

void calc2Frame::OnAbout(wxCommandEvent& event)
{
    wxString msg;
    msg.Printf(wxT("Calculadora\nxsetaseta@gmail.com\n%s"),	wxVERSION_STRING);
    wxMessageBox(msg, wxT("SETA43"), wxOK | wxICON_INFORMATION, this);
}


void calc2Frame::insertar(int num)
{
 float z;
	if(error==0)
	   {
		   if(coma==0)
			{
				dato1*=digito;
				dato1+=num;
				digito=10;
				bandera1=1;
			}
			else
			{
				//printf("num=%d   digito=%d\n",num,digito);
				z=num;
				z=z/digito;
				if(digito<101)dato1+=z;				
				digito*=10;
				
			}
		if(DEBUG)printf("dato1=%d\n",dato1);
#if NFLOAT
		msg.Printf(wxT("%.2f"),dato1); 
#else
		msg.Printf(wxT("%lli"),dato1); 
#endif				
		TextCtrl1->SetValue(msg);	
		
		Button7->SetFocus();		
	   }
}

void calc2Frame::calcular(void)
{
	
	if(bandera1==1 && bandera2==1)
	 {
		switch (operacion)
		  {
			//suma
			case 1:
				dato1+=dato2;
			break;
			//resta
			case 2:
				dato1=dato2-dato1;
			break;
			//X
			case 3:
				dato1=dato2*dato1;
			break;
			//- /
			case 4:
				if(dato1==0)  { error=1; break;}
				dato1=dato2/dato1;
			break;
			// raiz
			case 5:
				dato1=sqrt(dato1);
			break;
			// %
			case 6:
				dato1=(dato1*dato2)/100;
			break;
			
		  }
		  
	 }
	if(error==0)
#if NFLOAT
		msg.Printf(wxT("%.2f"),dato1); 
#else
		msg.Printf(wxT("%lli"),dato1);  
#endif	
	  else
		msg.Printf(wxT("Error"));
	TextCtrl1->SetValue(msg);
}	

void calc2Frame::bigual()
{
	if(DEBUG)printf("=\n");
	calcular();
	bandera2=0;
	operacion=0;	
}

void calc2Frame::bmas()
{	
	calcular();		
	operacion=1;
	dato2=dato1;	bandera2=1;		digito=1;	coma=0;		dato1=0;	
}

void calc2Frame::bmenos()
{
	calcular();		
	operacion=2;
	dato2=dato1;	bandera2=1;		digito=1;	coma=0;		dato1=0;
}

void calc2Frame::bpor()
{
	calcular();		
	operacion=3;
	dato2=dato1;	bandera2=1;		digito=1;	coma=0;		dato1=0;
}

void calc2Frame::bdiv()
{
	calcular();		
	operacion=4;
	dato2=dato1;	bandera2=1;		digito=1;	coma=0;		dato1=0;
}

void calc2Frame::b100()
{
	if(DEBUG)printf("%\n");
	
	calcular();		
	operacion=6;
	dato2=dato1;	bandera2=1;		digito=1;	coma=0;		dato1=0;
}


void calc2Frame::bAC()
{
	operacion=0;
	digito=1;
	coma=0;
	dato1=0;
	dato2=0;
	bandera1=0;
	bandera2=0;
	error=0;
	
	msg.Printf(wxT("%d"),dato1);    
	TextCtrl1->SetValue(msg);
}

void calc2Frame::bC()
{
	digito=1;
	coma=0;
	dato1=0;
	bandera1=0;
	msg.Printf(wxT("%d"),dato1);    
	TextCtrl1->SetValue(msg);
}

void calc2Frame::braiz()
{
	if(DEBUG)printf("Raiz\n");
	dato1=sqrt(dato1);
#if NFLOAT
		msg.Printf(wxT("%.2f"),dato1); 
#else
		msg.Printf(wxT("%lli"),dato1); 
#endif		   	 
	TextCtrl1->SetValue(msg);
	
	dato2=0;
	bandera2=0;
	
}

void calc2Frame::mmas()
{
	memoria+=dato1;
	operacion=0;
	dato2=0;
	bandera2=0;
#if NFLOAT
		msg.Printf(wxT("%.2f"),memoria); 
#else
		msg.Printf(wxT("%lli"),memoria);  
#endif		 
	TextCtrl2->SetValue(msg);
}

void calc2Frame::mmenos()
{
	memoria-=dato1;
	operacion=0;
	dato2=0;
	bandera2=0;
#if NFLOAT
		msg.Printf(wxT("%.2f"),memoria); 
#else
		msg.Printf(wxT("%lli"),memoria); 
#endif	    
	TextCtrl2->SetValue(msg);
}

void calc2Frame::mmemo()
{
	dato1=memoria;
#if NFLOAT
		msg.Printf(wxT("%.2f"),memoria); 
#else
		msg.Printf(wxT("%lli"),memoria); 
#endif	    	 
	TextCtrl1->SetValue(msg);
}

void calc2Frame::mclear()
{
	memoria=0;
#if NFLOAT
		msg.Printf(wxT("%.2f"),memoria); 
#else
		msg.Printf(wxT("%lli"),memoria); 
#endif	  
	TextCtrl2->SetValue(msg);
}

void calc2Frame::LogEvent(wxKeyEvent& event)
{
 wxString key;
 
 
    long keycode = event.GetKeyCode();              
    const wxChar u = event.GetUnicodeKey();
    
    if(DEBUG)    printf(" tecla %u Caracter-> %c\n",u,(unsigned char)keycode);
    
    switch ( keycode )
    {
		case 8: bAC(); break; //<-
		case 13: bigual(); break;	//enter
		case 43: bmas(); break;	//+
		case 45: bmenos(); break;	//-
		case 46: coma=1; digito=10; break;	//.
		
        case 48: insertar(0); break; //0
        case 49: insertar(1); break;
        case 50: insertar(2); break;
        case 51: insertar(3); break;
        case 52: insertar(4); break;
        case 53: insertar(5); break;
        case 54: insertar(6); break;
        case 55: insertar(7); break;
        case 56: insertar(8); break;
        case 57: insertar(9); break; //9
        
        case 127: bC(); break; //supr
        
        case 324: insertar(0); break; //0
        case 325: insertar(1); break;
        case 326: insertar(2); break;
        case 327: insertar(3); break;
        case 328: insertar(4); break;
        case 329: insertar(5); break;
        case 330: insertar(6); break;
        case 331: insertar(7); break;
        case 332: insertar(8); break;
        case 333: insertar(9); break; //9
        
        case 370: bigual(); break;	//enter
        case 387: bpor(); break;	//*
        case 388: bmas(); break;	//+
        case 390: bmenos(); break;	//-
        case 391: coma=1; digito=10; break;	//.
        case 392: bdiv(); break;	// /             
    }
    
}
